OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Functions | Variables
poseParameters.hpp File Reference
`#include <map>`
`#include <openpose/core/common.hpp>`
`#include <openpose/pose/enumClasses.hpp>`

Go to the source code of this file.

## Namespaces
| op

## Functions
OP_API const std::map < unsigned int, std::string > & | op::getPoseBodyPartMapping (const PoseModel poseModel)
OP_API const std::string & | op::getPoseProtoTxt (const PoseModel poseModel)
OP_API const std::string & | op::getPoseTrainedModel (const PoseModel poseModel)
OP_API unsigned int | op::getPoseNumberBodyParts (const PoseModel poseModel)
OP_API const std::vector < unsigned int > & | op::getPosePartPairs (const PoseModel poseModel)
OP_API const std::vector < unsigned int > & | op::getPoseMapIndex (const PoseModel poseModel)
OP_API unsigned int | op::getPoseMaxPeaks ()
OP_API float | op::getPoseNetDecreaseFactor (const PoseModel poseModel)
OP_API unsigned int | op::poseBodyPartMapStringToKey (const PoseModel poseModel, const std::string &string)
OP_API unsigned int | op::poseBodyPartMapStringToKey (const PoseModel poseModel, const std::vector< std::string > &strings)
OP_API float | op::getPoseDefaultNmsThreshold (const PoseModel poseModel, const bool maximizePositives=false)
OP_API float | op::getPoseDefaultConnectInterMinAboveThreshold (const bool maximizePositives=false)
OP_API float | op::getPoseDefaultConnectInterThreshold (const PoseModel poseModel, const bool maximizePositives=false)
OP_API unsigned int | op::getPoseDefaultMinSubsetCnt (const bool maximizePositives=false)
OP_API float | op::getPoseDefaultConnectMinSubsetScore (const bool maximizePositives=false)
OP_API bool | op::addBkgChannel (const PoseModel poseModel)

## Variables
const auto | op::POSE_MAX_PEOPLE = 127u